Subject: Re: bug#11893: Regression in automake 1.12.1 on Mac OS X

From: Peter Rosin <[email-masked]>
Date: Wed, 11 Jul 2012 23:21:02 +0200

On 2012-07-11 14:44, Stefano Lattarini wrote:
> On 07/09/2012 07:04 PM, Max Horn wrote:
>> Hi there,
>>
> Hi Max.
> 
>> I am currently looking into packaging automake 1.12.1 for
>> Fink <http://www.finkproject.org/> on Mac OS X 10.7.
>> Doing that, several test suite failures popped up, which
>> I am now working through to resolve.
>>
> In the meantime, could you please post the 'test-suite.log' file,
> for reference?  Thanks.
> 
>> The first one is t/silentcxx-gcc.sh failing.
>> Note that t/silentcxx.sh incorrectly (!) succeeds.
>>
>> There are two problems here:
>>
>> 1) The C++ compiler from Sun Studio is named "CC". This caused
>> t/silentcxx.sh to fail, which was fixed with commit ad5d0be02d
>> in the autonconf
>>
> s/autoconf/automake/ I guess.
> 
> BTW, the problem you are reporting is similar to the one reported
> in bug#10766 by Peter Rosin (which I'm thus CC:ing):
> <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10766>
> 
>> git repository. The same fix also needs to be applied to
>> t/silentcxx-gcc.sh.
>>
> See if the attached patch solves the issue for you.  Ideally, it
> should also fix bug#10766; Peter, could you give it a try?

Hi Stefano!

I updated for the first time in a long time but stumbled on the
autoconf 2.69 requirement, it's not available as a package for
Cygwin yet. I don't feel like rolling my own autoconf. So, no,
I will not test this one until 2.69 is readily available. Sorry.

So, reading the patch instead, I think the method for querying case
insensitivity seems a bit fragile. /usr/bin/gcc is a symlink on
Cygwin and I could easily imagine someone creating a /usr/bin/GCC
wrapper script. Not that anybody will die or anything, but still...

>From the nit-picking department, I would not specifically mention
Cygwin when talking about case insensitivity, I would refer to
Windows as a whole instead (since you can make Cygwin case
sensitive).

BTW, thanks for tackling this!

Cheers,
Peter